---
title: List Streams
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Pipelines](https://developers.cloudflare.com/api/go/resources/pipelines)

[Streams](https://developers.cloudflare.com/api/go/resources/pipelines/subresources/streams)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Streams

client.Pipelines.Streams.List(ctx, params) (\*V4PagePaginationArray\[[StreamListResponse](<https://developers.cloudflare.com/api/go/resources/pipelines#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/pipelines/v1/streams

List/Filter Streams in Account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write``Pipelines Read`

##### ParametersExpand Collapse

<details>

<summary>

params StreamListParams

</summary>

AccountID param.Field\[string]

Path param: Specifies the public ID of the account.

<a href="#(resource)%20pipelines.streams%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Name param.Field\[string]Optional

Query param: Filters streams by name (case-insensitive substring).

maxLength128

minLength1

<a href="#(resource)%20pipelines.streams%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

Page param.Field\[float64]Optional

Query param

<a href="#(resource)%20pipelines.streams%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param

<a href="#(resource)%20pipelines.streams%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

PipelineID param.Field\[string]Optional

Query param: Specifies the public ID of the pipeline.

maxLength32

minLength32

<a href="#(resource)%20pipelines.streams%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20pipeline_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines.streams%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type StreamListResponse struct{…}

</summary>

ID string

Indicates a unique identifier for this stream.

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

formatdate-time

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

<details>

<summary>

HTTP StreamListResponseHTTP

</summary>

Authentication bool

Indicates that authentication is required for the HTTP endpoint.

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20http%20%3E%20(property)%20authentication">Link to this property</a>

Enabled bool

Indicates that the HTTP endpoint is enabled.

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20http%20%3E%20(property)%20enabled">Link to this property</a>

<details>

<summary>

CORS StreamListResponseHTTPCORSOptional

Specifies the CORS options for the HTTP endpoint.

</summary>

Origins \[]stringOptional

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20http%20%3E%20(property)%20cors%20%3E%20(property)%20origins">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20http%20%3E%20(property)%20cors">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20http">Link to this property</a>

ModifiedAt Time

formatdate-time

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

Name string

Indicates the name of the Stream.

maxLength128

minLength1

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Version int64

Indicates the current version of this stream.

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20version">Link to this property</a>

<details>

<summary>

WorkerBinding StreamListResponseWorkerBinding

</summary>

Enabled bool

Indicates that the worker binding is enabled.

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20worker_binding%20%3E%20(property)%20enabled">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20worker_binding">Link to this property</a>

Endpoint stringOptional

Indicates the endpoint URL of this stream.

formaturi

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

<details>

<summary>

Format StreamListResponseFormatOptional

Defines the data format of the events.

</summary>

One of the following:

<details>

<summary>

type StreamListResponseFormatJson struct{…}

</summary>

Type StreamListResponseFormatJsonType

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

<details>

<summary>

DecimalEncoding StreamListResponseFormatJsonDecimalEncodingOptional

</summary>

One of the following:

const StreamListResponseFormatJsonDecimalEncodingNumber StreamListResponseFormatJsonDecimalEncoding = "number"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20decimal_encoding%20%3E%20(member)%200">Link to this property</a>

const StreamListResponseFormatJsonDecimalEncodingString StreamListResponseFormatJsonDecimalEncoding = "string"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20decimal_encoding%20%3E%20(member)%201">Link to this property</a>

const StreamListResponseFormatJsonDecimalEncodingBytes StreamListResponseFormatJsonDecimalEncoding = "bytes"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20decimal_encoding%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20decimal_encoding">Link to this property</a>

<details>

<summary>

TimestampFormat StreamListResponseFormatJsonTimestampFormatOptional

</summary>

One of the following:

const StreamListResponseFormatJsonTimestampFormatRfc3339 StreamListResponseFormatJsonTimestampFormat = "rfc3339"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20timestamp_format%20%3E%20(member)%200">Link to this property</a>

const StreamListResponseFormatJsonTimestampFormatUnixMillis StreamListResponseFormatJsonTimestampFormat = "unix\_millis"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20timestamp_format%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20timestamp_format">Link to this property</a>

Unstructured boolOptional

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200%20%3E%20(property)%20unstructured">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

type StreamListResponseFormatParquet struct{…}

</summary>

Type StreamListResponseFormatParquetType

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

<details>

<summary>

Compression StreamListResponseFormatParquetCompressionOptional

</summary>

One of the following:

const StreamListResponseFormatParquetCompressionUncompressed StreamListResponseFormatParquetCompression = "uncompressed"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20compression%20%3E%20(member)%200">Link to this property</a>

const StreamListResponseFormatParquetCompressionSnappy StreamListResponseFormatParquetCompression = "snappy"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20compression%20%3E%20(member)%201">Link to this property</a>

const StreamListResponseFormatParquetCompressionGzip StreamListResponseFormatParquetCompression = "gzip"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20compression%20%3E%20(member)%202">Link to this property</a>

const StreamListResponseFormatParquetCompressionZstd StreamListResponseFormatParquetCompression = "zstd"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20compression%20%3E%20(member)%203">Link to this property</a>

const StreamListResponseFormatParquetCompressionLz4 StreamListResponseFormatParquetCompression = "lz4"

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20compression%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20compression">Link to this property</a>

RowGroupBytes int64Optional

formatint64

minimum0

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201%20%3E%20(property)%20row_group_bytes">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20format">Link to this property</a>

<details>

<summary>

Schema StreamListResponseSchemaOptional

Defines the schema of the events in the data stream.

</summary>

<details>

<summary>

Fields \[]<a href="https://developers.cloudflare.com/api/go/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)">SourceField</a>Optional

</summary>

One of the following:

<details>

<summary>

type SourceFieldInt32 struct{…}

</summary>

Type SourceFieldInt32Type

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

type SourceFieldInt64 struct{…}

</summary>

Type SourceFieldInt64Type

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

type SourceFieldFloat32 struct{…}

</summary>

Type SourceFieldFloat32Type

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

type SourceFieldFloat64 struct{…}

</summary>

Type SourceFieldFloat64Type

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

type SourceFieldBool struct{…}

</summary>

Type SourceFieldBoolType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%204">Link to this property</a>

<details>

<summary>

type SourceFieldString struct{…}

</summary>

Type SourceFieldStringType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%205">Link to this property</a>

<details>

<summary>

type SourceFieldBinary struct{…}

</summary>

Type SourceFieldBinaryType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%206">Link to this property</a>

<details>

<summary>

type SourceFieldTimestamp struct{…}

</summary>

Type SourceFieldTimestampType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20sql_name">Link to this property</a>

<details>

<summary>

Unit SourceFieldTimestampUnitOptional

</summary>

One of the following:

const SourceFieldTimestampUnitSecond SourceFieldTimestampUnit = "second"

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20unit%20%3E%20(member)%200">Link to this property</a>

const SourceFieldTimestampUnitMillisecond SourceFieldTimestampUnit = "millisecond"

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20unit%20%3E%20(member)%201">Link to this property</a>

const SourceFieldTimestampUnitMicrosecond SourceFieldTimestampUnit = "microsecond"

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20unit%20%3E%20(member)%202">Link to this property</a>

const SourceFieldTimestampUnitNanosecond SourceFieldTimestampUnit = "nanosecond"

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20unit%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(property)%20unit">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%207">Link to this property</a>

<details>

<summary>

type SourceFieldJson struct{…}

</summary>

Type SourceFieldJsonType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%208">Link to this property</a>

<details>

<summary>

type SourceFieldStruct struct{…}

</summary>

Type SourceFieldStructType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%209">Link to this property</a>

<details>

<summary>

type SourceFieldList struct{…}

</summary>

Type SourceFieldListType

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20type">Link to this property</a>

MetadataKey stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20metadata_key">Link to this property</a>

Name stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20name">Link to this property</a>

Required boolOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20required">Link to this property</a>

SqlName stringOptional

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20sql_name">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20source_field%20%3E%20(schema)%20%3E%20(variant)%2010">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20schema%20%3E%20(property)%20fields">Link to this property</a>

Inferred boolOptional

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20schema%20%3E%20(property)%20inferred">Link to this property</a>

</details>

<a href="#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)%20%3E%20(property)%20schema">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines.streams%20%3E%20(model)%20StreamListResponse%20%3E%20(schema)>)

### List Streams

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Pipelines.Streams.List(context.TODO(), pipelines.StreamListParams{
    AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "2019-12-27T18:11:19.117Z",
      "http": {
        "authentication": false,
        "enabled": true,
        "cors": {
          "origins": [
            "string"
          ]
        }
      },
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "my_stream",
      "version": 3,
      "worker_binding": {
        "enabled": true
      },
      "endpoint": "https://01234567890123457689012345678901.ingest.cloudflare.com/v1",
      "format": {
        "type": "json",
        "decimal_encoding": "number",
        "timestamp_format": "rfc3339",
        "unstructured": true
      },
      "schema": {
        "fields": [
          {
            "type": "int32",
            "metadata_key": "metadata_key",
            "name": "name",
            "required": true,
            "sql_name": "sql_name"
          }
        ],
        "inferred": true
      }
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "2019-12-27T18:11:19.117Z",
      "http": {
        "authentication": false,
        "enabled": true,
        "cors": {
          "origins": [
            "string"
          ]
        }
      },
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "my_stream",
      "version": 3,
      "worker_binding": {
        "enabled": true
      },
      "endpoint": "https://01234567890123457689012345678901.ingest.cloudflare.com/v1",
      "format": {
        "type": "json",
        "decimal_encoding": "number",
        "timestamp_format": "rfc3339",
        "unstructured": true
      },
      "schema": {
        "fields": [
          {
            "type": "int32",
            "metadata_key": "metadata_key",
            "name": "name",
            "required": true,
            "sql_name": "sql_name"
          }
        ],
        "inferred": true
      }
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}
```